Dépendance paquet introuvable après update de la dépendance

Share here your tips or issues concerning WAPT Console or WAPT Agent / Venez ici partager vos problèmes et astuces concernants la console et l'agent WAPT
Règles du forum
* Questions can be asked in English or in French. If the thread is started in English, stick to English, if it is started in French, stick to French.
* Vous pouvez poser vos questions en Français ou en Anglais. Si un sujet est commencé en français, merci de répondre en français. Si un sujet est commencé en anglais, merci de répondre en anglais.
Avatar de l’utilisateur
Jonattend
Messages : 23
Inscription : 26 mars 2018 - 14:45

03 déc. 2018 - 09:59

Bonjour,
Suite à mon message me permettant de nettoyer le menu démarrer, j'ai réalisé, sur les conseils de la Team, un paquet vide ayant pour unique rôle de nettoyer le menu démarrer.

Ce dernier contient des dépendances qui sont, en réalité, l'ensemble des logiciels à installer.
Grâce à cette astuce, le paquet de nettoyage est bien installé en dernier. Parfait.

Le paquet de nettoyage (full-install-ens) contient les dépendances suivantes :
- 7zip
- audacity
- cdburnerXP
-.NET 4.7
- Firefox-esr (58)
- Geogebra5
- VLC

J'execute donc ce paquet sur la machine cible : nickel, l'ensemble des logiciels est installé, les raccourcis sont bien rangés.
Je me rends compte que j'ai installé la version 58 de firefox-esr mais qu'il existe une version 63 ...
- j'importe donc cette version de firefox-esr 63 dans mon dépôt privé
- je tente un Vérifier les mises à jour mais WAPT ne propose pas de mettre à jour mon paquet "full-install-ens" : logique, il n'a pas évolué. Seule l'une de ses dépendances (firefox-esr) devrait être mise à jour ... mais comment faire ?
- j'ai tenté de supprimer la version firefox-esr-58 de mon dépôt pour n'avoir qu'un seul paquet mais pas mieux ... pire : WAPT indique qu'il manque au paquet full-install-ens une dépendance "firefox-esr" ....

Retour d'un wapt-get upgrade sur le client :

Code : Tout sélectionner

Installing full-install-ens
Installing 4C4C4544-0059-XXXXXXXXXXXXXXXXXXXX
Installing full-install-ens
Installing 4C4C4544-0059-XXXXXXXXXXXXXXXXXXXX
Installing full-install-ens

=== install packages ===
 4C4C4544-0059-XXXXXXXXXXXXXXXXXXXX (=113) | 4C4C4544-0059-XXXXXXXXXXXXXXXXXXXX (113)
  4C4C4544-0059-XXXXXXXXXXXXXXXXXXXX | 4C4C4544-0059-XXXXXXXXXXXXXXXXXXXX (113)
  full-install-ens          | full-install-ens (1.0-16)

=== additional packages ===
  full-install-ens          | full-install-ens (1.0-16)

=== skipped packages ===
  lame-mp3                  | lame-mp3 (3.99.3-1)
  7zip                      | 7zip (18.5.0.0-7)
  audacity                  | audacity (2.2.2-6)
  cdburnerxp                | cdburnerxp (4.5.8.6795-4)
  dotnetfx4.7               | dotnetfx4.7 (4.7.2046-9)
  geogebra-5                | geogebra-5 (5.0.466.0-4)
  vlc                       | vlc (3.0.4-3)

=== errors packages ===
  full-install-ens          | full-install-ens (1.0-16)
 
  4C4C4544-0059-XXXXXXXXXXXXXXXXXXXX (=113) | 4C4C4544-0059-XXXXXXXXXXXXXXXXXXXX (113)
  4C4C4544-0059-XXXXXXXXXXXXXXXXXXXX | 4C4C4544-0059-XXXXXXXXXXXXXXXXXXXX (113)
2018-12-03 09:51:41,160 CRITICAL Package full-install-ens not installed due to errors : EWaptUnavailablePackage: Missing dependencies: firefox-esr
2018-12-03 09:51:41,253 CRITICAL Package 4C4C4544-0059-XXXXXXXXXXXXXXXXXXXX (=113) not installed due to errors : EWaptUnavailablePackage: Missing dependencies: full-install-ens
2018-12-03 09:51:41,394 CRITICAL Package full-install-ens not installed due to errors : EWaptUnavailablePackage: Missing dependencies: firefox-esr
2018-12-03 09:51:41,487 CRITICAL Package 4C4C4544-0059-XXXXXXXXXXXXXXXXXXXX not installed due to errors : EWaptUnavailablePackage: Missing dependencies: full-install-ens
2018-12-03 09:51:41,565 CRITICAL Package full-install-ens not installed due to errors : EWaptUnavailablePackage: Missing dependencies: firefox-esr
Sur le serveur wapt, le paquet existe bien :

Code : Tout sélectionner

root@wapt:/home/wapt# ls -lha | grep firefox
-rw-r--r-- 1 wapt www-data  12K Nov 30 16:14 config-for-firefox_7_all.wapt
-rw-r--r-- 1 wapt www-data  35M Dec  3 08:41 firefox-esr_60.3.0-3_x86_fr.wapt
Clairement, il n y a un souci avec le paquet firefox-esr ... Une idée ?
WAPT Server : Debian Stretch 9.0.3
WAPT Console : 1.5.1.21 sur Windows10x64
WAPT Client : 1.5.1.21
Avatar de l’utilisateur
sfonteneau
Expert WAPT
Messages : 768
Inscription : 10 juil. 2014 - 23:52
Contact :

17 déc. 2018 - 22:53

firefox est en x86 sur votre dépôt, je suppose que vote pc est en x64
Répondre